Get Proposed Security Policy Rule

Get Proposed Security Policy Rule
Get rule for proposed security policy

Retrieves detailed information about a specific rule within a proposed security policy.

Request
URI
GET
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}/rules/{rule-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
policy-id
Required  

Unique identifier of the proposed security policy.

string
rule-id
Required  

Unique identifier of the rule.


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved rule

Returns ProposedSecurityRule of type(s) application/json
This response body class contains all of the following: ProposedBaseRule , InlineProposedSecurityRule1
{
    "id": "SSP_Infra_tcp_80_Rule",
    "display_name": "SSP_tcp_80",
    "description": "SSP created rule for tcp_80 for SSP_Infra_tcp_80",
    "_revision": 0,
    "action": "ALLOW",
    "disabled": false,
    "proposed_sync_action": "OVERWRITE",
    "nsx_rule": {
        "resource_type": "Rule",
        "id": "SSP_Infra_tcp_80_Rule",
        "path": "/infra/domains/default/security-policies/SSP_Infra_Custom_Policy/rules/SSP_Infra_tcp_80_Rule",
        "display_name": "SSP_tcp_80",
        "description": "SSP created rule for tcp_80 for SSP_Infra_tcp_80",
        "sequence_number": 1000,
        "direction": "IN_OUT",
        "source_groups": [
            "ANY"
        ],
        "destination_groups": [
            "/infra/domains/default/groups/6a2b432f-9a52-3898-ad88-2900435a1d1a"
        ],
        "action": "ALLOW",
        "services": [
            "ANY"
        ],
        "service_entries": [
            {
                "resource_type": "L4PortSetServiceEntry",
                "l4_protocol": "TCP",
                "destination_ports": [
                    "80"
                ]
            }
        ]
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}/rules/{rule-id}